// -*- C++ -*-
//
// Ugeom.cc
// User routine for the detector definition
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:34:41 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#include <iostream>
#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"


////////////////
void  GsimMate();
void  GsimGeom();


////////////////
void
Ugeom()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Ugeom" << std::endl;

  // Detector definition 
  GsimMate();
  GsimGeom();

  // Close geometry banks
  GGCLOS();
 
}

/// FORTRAN/C interface
extern"C"{
  void  ugeom_(){ Ugeom(); }
}

